MetaSoul

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
FEmoShapeLambdaRunnable Class Reference

`#include <EmoShapeLambdaRunnable.h>`

## Static Public Member Functions
static void | RunLambdaOnBackGroundThread (TFunction< void()> InFunction)
static void | RunLambdaOnBackGroundThreadPool (TFunction< void()> InFunction)
static FGraphEventRef | RunShortLambdaOnGameThread (TFunction< void()> InFunction)
static FGraphEventRef | RunShortLambdaOnBackGroundTask (TFunction< void()> InFunction)
static void | SetTimeout (TFunction< void()>OnDone, float DurationInSec, bool bCallbackOnGameThread=true)

## Detailed Description

Convenience wrappers for common thread/task work flow. Run background task on thread, callback via task graph on game thread

## Member Function Documentation

## ◆ RunLambdaOnBackGroundThread()

void FEmoShapeLambdaRunnable::RunLambdaOnBackGroundThread | ( | TFunction< void()> | InFunction | ) |
| static

Runs the passed lambda on the background thread, new thread per call

## ◆ RunLambdaOnBackGroundThreadPool()

void FEmoShapeLambdaRunnable::RunLambdaOnBackGroundThreadPool | ( | TFunction< void()> | InFunction | ) |
| static

Runs the passed lambda on the background thread pool

## ◆ RunShortLambdaOnBackGroundTask()

FGraphEventRef FEmoShapeLambdaRunnable::RunShortLambdaOnBackGroundTask | ( | TFunction< void()> | InFunction | ) |
| static

Runs a short lambda on background thread via task graph system

## ◆ RunShortLambdaOnGameThread()

FGraphEventRef FEmoShapeLambdaRunnable::RunShortLambdaOnGameThread | ( | TFunction< void()> | InFunction | ) |
| static

Runs a short lambda on the game thread via task graph system

## ◆ SetTimeout()

void FEmoShapeLambdaRunnable::SetTimeout | ( | TFunction< void()> | OnDone,
|  | float | DurationInSec,
|  | bool | bCallbackOnGameThread = true )
| static

Runs a thread with idle for duration before calling back on game thread. Due to context cost recommended for >0.1sec durations.

The documentation for this class was generated from the following files:

- EmoShapeWebUtility/Public/EmoShapeLambdaRunnable.h
- EmoShapeWebUtility/Private/EmoShapeLambdaRunnable.cpp